org.hibernate.search.elasticsearch.work.impl

## Class SearchWork.Builder

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder<SearchWork.Builder>
  - - org.hibernate.search.elasticsearch.work.impl.SearchWork.Builder

- All Implemented Interfaces:
    ElasticsearchWorkBuilder<ElasticsearchWork<SearchResult>>, SearchWorkBuilder
  Enclosing class:
    SearchWork

      public static class SearchWork.Builder
      extends SimpleElasticsearchWork.Builder<SearchWork.Builder>
      implements SearchWorkBuilder

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `dirtiedIndexName, luceneWork, markIndexDirty, resultAssessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(com.google.gson.JsonObject payload)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchWork<SearchResult>` | `build()`
    `protected ElasticsearchRequest` | `buildRequest()`
    `SearchWork.Builder` | `indexes(Collection<URLEncodedString> indexNames)`
    `SearchWork.Builder` | `paging(int firstResult, int size)`
    `SearchWork.Builder` | `scrolling(int scrollSize, String scrollTimeout)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `luceneWork, markIndexDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(com.google.gson.JsonObject payload)

  - ### Method Detail

    - #### indexes

          public SearchWork.Builder indexes(Collection<URLEncodedString> indexNames)

      Specified by:
        `indexes` in interface `SearchWorkBuilder`

    - #### paging

          public SearchWork.Builder paging(int firstResult,
                                           int size)

      Specified by:
        `paging` in interface `SearchWorkBuilder`

    - #### scrolling

          public SearchWork.Builder scrolling(int scrollSize,
                                              String scrollTimeout)

      Specified by:
        `scrolling` in interface `SearchWorkBuilder`

    - #### buildRequest

          protected ElasticsearchRequest buildRequest()

      Specified by:
        `buildRequest` in class `SimpleElasticsearchWork.Builder<SearchWork.Builder>`

    - #### build

          public ElasticsearchWork<SearchResult> build()

      Specified by:
        `build` in interface `ElasticsearchWorkBuilder<ElasticsearchWork<SearchResult>>`
      Specified by:
        `build` in class `SimpleElasticsearchWork.Builder<SearchWork.Builder>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved